% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tidy-posterior-bartMachine.R
\name{residual_draws.bartMachine}
\alias{residual_draws.bartMachine}
\title{Get residual draw for \code{bartMachine} model}
\usage{
\method{residual_draws}{bartMachine}(
  model,
  newdata,
  residual = ".residual",
  ...,
  n = NULL,
  include_newdata = TRUE,
  include_sigsqs = FALSE
)
}
\arguments{
\item{model}{\code{bartMachine} model.}

\item{newdata}{Data frame to generate predictions from. If omitted, original data used to fit the model.}

\item{residual}{Name of the output column for residual_draws; default is \code{.residual}.}

\item{...}{Additional arguments passed to the underlying prediction method for the type of model given.}

\item{n}{Not currently implemented.}

\item{include_newdata}{Should the newdata be included in the tibble?}

\item{include_sigsqs}{Should the posterior sigma-squared draw be included?}
}
\value{
Tibble with residuals.
}
\description{
Get residual draw for \code{bartMachine} model
}
